Loading...
Searching...
No Matches
dolfin::LagrangeInterpolator Class Reference

`#include <LagrangeInterpolator.h>`

## Static Public Member Functions

static void | interpolate (Function &u, const Expression &u0)
static void | interpolate (Function &u, const Function &u0)

## Detailed Description

This class interpolates efficiently from a GenericFunction to a Lagrange Function

## Member Function Documentation

## interpolate() [1/2]

void LagrangeInterpolator::interpolate | ( | Function & | u,
|  | const Expression & | u0 )

static

Interpolate Expression

Arguments u (Function) The resulting Function u0 (Expression) The Expression to be interpolated.

## interpolate() [2/2]

void LagrangeInterpolator::interpolate | ( | Function & | u,
|  | const Function & | u0 )

static

Interpolate function (on possibly non-matching meshes)

Arguments u (Function) The resulting Function u0 (Function) The Function to be interpolated.

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/function/LagrangeInterpolator.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/function/LagrangeInterpolator.cpp